%global momorel 3

Summary: Text-based addressbook program
Name: abook
Version: 0.5.1
Release: %{momorel}m
License: GPL
Group: Applications/Internet
Source: http://umn.dl.sourceforge.net/sourceforge/abook/%{name}-%{version}.tar.gz
NoSource: 0
Source1: config-sample.abookrc
Patch0: http://abook.sourceforge.net/patches/0.5.1-01_mutt-filter
Patch1: abook.nick_cutoff.patch
URL: http://abook.sourceforge.net/
BuildPreReq: ncurses-devel
BuildPreReq: readline-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Abook is a text-based addressbook program designed to
use with mutt mail client.

%prep
%setup -q
%patch0 -p0 -b .01_mutt-filter
%patch1 -p0 -b .nick_cutoff

%build
%configure
%make

%install
%makeinstall
mkdir -p	%{buildroot}%{_datadir}/config-sample/abook
install -m 644 %{SOURCE1} \
		%{buildroot}%{_datadir}/config-sample/abook/abookrc

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc sample.abookrc
%doc ANNOUNCE
%doc AUTHORS
%doc BUGS
%doc COPYING
%doc ChangeLog
%doc FAQ
%doc INSTALL
%doc NEWS
%doc README
%doc THANKS
%doc TODO
%doc abook.spec
%doc contrib/
%{_bindir}/abook
%{_mandir}/man1/abook.*
%{_mandir}/man5/abookrc.*
%docdir %{_datadir}/config-sample/abook
%{_datadir}/config-sample/abook

%changelog
* Mon Mar 29 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.1-3m)
- 0.5.1-01_mutt-filter was incomplete. apply nick_cutoff.patch
- 0.5.2 is available, but I don't want to update to that version
 because it has an "experimental wide character support" (see ChangeLog)

* Sat Jan 24 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.1-2m)
- apply http://abook.sourceforge.net/patches/0.5.1-01_mutt-filter

* Mon Nov 24 2003 TAKAHASHI Tamotsu <tamo>
- (0.5.1-1m)
- update. add contrib as doc

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.0-2m)
- s/Copyright:/License:/

* Thu Jul  3 2003 TAKAHASHI Tamotsu <tamo>
- (0.5.0-1m)
- first import

* Sat Jun 28 2003 TAKAHASHI Tamotsu <tamo>
- (0.5.0-0.1.0m)
- 0.5.0rc1
- add BuildPreReq: readline-devel
- add config-sample

* Sat Jan 11 2003 TAKAHASHI Tamotsu
- (0.4.17-0m)
- flavor of momonga...

* Mon Mar 11 2002 Jaakko Heinonen <jheinonen@users.sourceforge.net>
- rewrote the spec file originally written by
  Gustavo Niemeyer <niemeyer@conectiva.com>
